using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Data.Entity;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Domain
{
    public class Foo
    {
        public int FooId { get; set; }

        [Required]
        [DisplayName("Single line text")]
        [MaxLength(20,ErrorMessage = "Too long!")]
        [MinLength(2, ErrorMessage = "Too short!")]
        public string SingleLineText { get; set; }
        [DisplayName("Multi line text")]
        public string MultilineLineText { get; set; }
        [Range(5,10,ErrorMessage = "Out of range!")]
        public int Number { get; set; }
        public bool CheckBox { get; set; }

        // dropdown
        [DisplayName("Foo items")]
        public int FooItemId { get; set; }
        [DisplayName("Foo itemsB")]
        public virtual FooItem FooItem { get; set; }

        public EnumFooItem EnumFooItem { get; set; }
        public EnumFooItem EnumFooItem2 { get; set; }

        public DateTime DT1 { get; set; }

        [DataType(DataType.Date)]
        public DateTime DT2 { get; set; }

        // checklist
        // radiobutton, 1+ groups


    }
}
